For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
      • GETReturns all task lists of the project with the specified id.
      • POSTCreates a new task list.
      • GETReturns the task list with the specified id.
      • PUTUpdates the task list with the specified id.
      • POSTAdds the tasks to the task list with the specified id.
      • POSTChanges the project of the task list with the specified id.
      • POSTCreates a copy of the task list.
      • POSTDeletes the task list with the specified id.
      • POSTRemoves the tasks from the task list with the specified id.
      • POSTArchives or unarchives the task list with the specified id.
      • GETReturns the task with the specified id in the task list with the specified id.
      • POSTUpdates the order of a task in a task list.
      • POSTUpdates the order of the task list with the specified id.
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceTask Lists

Updates the order of a task in a task list.

POST
https://api.awork.com/api/v1/projects/:projectId/tasklists/:taskListId/tasks/:taskId/updateorder
POST
/api/v1/projects/:projectId/tasklists/:taskListId/tasks/:taskId/updateorder
$curl -X POST https://api.awork.com/api/v1/projects/projectId/tasklists/taskListId/tasks/taskId/updateorder \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1[
2 {
3 "id": "123e4567-e89b-12d3-a456-426614174000",
4 "order": 3
5 }
6]
<Check title="Required Permissions" icon="key">Any authenticated user.</Check>
Was this page helpful?
Previous

Updates the order of the task list with the specified id.

Next
Built with
Required Permissions
Any authenticated user.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectIdstringRequiredformat: "uuid"
The id of the project.
taskListIdstringRequiredformat: "uuid"
The id of the task list.
taskIdstringRequiredformat: "uuid"
The id of the task.

Request

The task In Task List Update Order form.
orderdouble or nullOptional
The order of the task in the list.

Response

OK
idstringformat: "uuid"
The id of the list to move the task to or to change the order for.
orderdouble or null
The order of the task in the list. If null, the task is moved to the end of the list.

Errors

400
Bad Request Error
401
Unauthorized Error